# class Tk::Iwidgets::Shell

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

activate() click to toggle source

    # File lib/tkextlib/iwidgets/shell.rb, line 22
    def activate
      tk_call(@path, 'activate')  # may return val of deactivate method
    end

center(win=None) click to toggle source

    # File lib/tkextlib/iwidgets/shell.rb, line 26
    def center(win=None)
      tk_call(@path, 'center', win)
      self
    end

child_site() click to toggle source

    # File lib/tkextlib/iwidgets/shell.rb, line 31
    def child_site
      window(tk_call(@path, 'childsite'))
    end

deactivate(val=None) click to toggle source

    # File lib/tkextlib/iwidgets/shell.rb, line 35
    def deactivate(val=None)
      tk_call(@path, 'deactivate', val)
      self
    end